Subject: bug#6513: vc-mtn broken with monotone 0.48 (can't even open files)

From: Julio Merino <[email-masked]>
Date: Fri, 3 Sep 2010 17:02:01 +0100

On Sep 3, 2010, at 4:57 PM, Dan Nicolaescu wrote:
>> I have found the following to be a better workaround:
>
> A better workaround is to disable the monotone backend:
>
> (setq vc-handled-backends (delq 'Mtn vc-handled-backends))

Cool, that's what I've been waiting for.

>> ; Trick vc-mtn into not finding monotone.  It's currently completely
>> broken
>> ; with monotone 0.48.
>> (setq vc-mtn-program "non-existent")
>> -----
>>
>> Still, I'd love to see this fixed.
>
> Do you want to take a stab at it?
> Just need to modify the parser for the mtn command...

Sure, and I actually even tried.  But it's not as easy as changing  
some regexps... my elisp knowledge tends to zero.  The thing is that  
the automate interface is good for automatic interaction, but its  
output is completely different to what the interactive interface  
provides.  Hence, some of the assumptions currently in the code make  
it a bit harder to adjust...